MeshType

## Public Member Functions

| MeshType ()

## Public Attributes

rheolef::distributor | ownership
std::vector< my_idxtype > | elements
int | etype
int | gnelms
int | gnns
int | nelms
int | nns
int | ncon
int | esize
int | gminnode
my_idxtype * | elmwgt

## Detailed Description

Definition at line 67 of file geo_partition_scotch.h.

## Constructor & Destructor Documentation

## MeshType()

MeshType | ( |  | ) |

Definition at line 82 of file geo_partition_scotch.h.

## Member Data Documentation

## ownership

rheolef::distributor ownership

Definition at line 68 of file geo_partition_scotch.h.

## elements

std::vector<my_idxtype> elements

Definition at line 69 of file geo_partition_scotch.h.

## etype

int etype

Definition at line 70 of file geo_partition_scotch.h.

## gnelms

int gnelms

Definition at line 71 of file geo_partition_scotch.h.

## gnns

int gnns

Definition at line 71 of file geo_partition_scotch.h.

## nelms

int nelms

Definition at line 72 of file geo_partition_scotch.h.

## nns

int nns

Definition at line 72 of file geo_partition_scotch.h.

## ncon

int ncon

Definition at line 73 of file geo_partition_scotch.h.

## esize

int esize

Definition at line 74 of file geo_partition_scotch.h.

## gminnode

int gminnode

Definition at line 74 of file geo_partition_scotch.h.

## elmwgt

my_idxtype* elmwgt

Definition at line 75 of file geo_partition_scotch.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_partition_scotch.h